changeset 918:b8c6d905daf2

managesieve: Use 1.0 as the VERSION According to section 1.7 of RFC5804 the VERSION capability refers to the protocol version, not the implementation version. The sieve-connect client is unable to talk with perdition throwing error 'Unparsed server version [1.19-rc5]' This is Debian bug #726175 Reported-by: Alexander Inyukhin <shurick@sectorb.msk.ru> Signed-off-by: Simon Horman <horms@verge.net.au>
author Simon Horman <horms@verge.net.au>
date Sun, 01 Dec 2013 17:09:19 +0900
parents d8ba0d0a886e
children 1f2e5201de95
files perdition/managesieve_write.h
diffstat 1 files changed, 1 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/perdition/managesieve_write.h	Sun Dec 01 17:06:25 2013 +0900
+++ b/perdition/managesieve_write.h	Sun Dec 01 17:09:19 2013 +0900
@@ -52,7 +52,7 @@
 	MANAGESIEVE_CAPA_DELIMITER			\
 	"\"NOTIFY\" \"mailto\""				\
 	MANAGESIEVE_CAPA_DELIMITER			\
-	"\"VERSION\" \"" VERSION "\""
+	"\"VERSION\" \"1.0\""
 
 #define MANAGESIEVE_CAPA_STARTTLS "\"STARTTLS\""